漏洞信息详情

GitList 远程代码执行漏洞

  • CNNVD编号:CNNVD-201407-339
  • 危害等级: 高危
  • CVE编号: CVE-2014-4511
  • 漏洞类型: 其他
  • 发布时间: 2014-06-30
  • 威胁类型: 远程
  • 更新时间: 2014-07-23
  • 厂        商: gitlist
  • 漏洞来源: drone

漏洞简介

GitList是一款基于PHP的开源Git仓库查看器,它能够实现匿名在线浏览版本控制系统源码仓库中的内容,并支持查看不同版本中的文件,提交历史和差异。

Gitlist 0.4.0及之前的版本中存在安全漏洞。远程攻击者可通过向blame、file、stats页面发送请求URI的文件名参数中的shell元字符利用该漏洞执行任意命令。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,详情请关注厂商主页:

http://gitlist.org/

参考网址

来源:packetstormsecurity.com

链接:http://packetstormsecurity.com/files/127281/Gitlist-0.4.0-Remote-Code-Execution.html

来源:packetstormsecurity.com

链接:http://packetstormsecurity.com/files/127364/Gitlist-Unauthenticated-Remote-Command-Execution.html

来源:groups.google.com

链接:https://groups.google.com/forum/#!topic/gitlist/Hw_KdZfA4js

来源:EXPLOIT-DB

链接:http://www.exploit-db.com/exploits/33929

来源:EXPLOIT-DB

链接:http://www.exploit-db.com/exploits/33990

来源:hatriot.github.io

链接:http://hatriot.github.io/blog/2014/06/29/gitlist-rce/

来源: BID

链接:http://www.securityfocus.com/bid/68253

漏洞信息快速查询

相关漏洞

更多